Bug 168280 - [JSC] Update module namespace object according to the latest ECMA262
Summary: [JSC] Update module namespace object according to the latest ECMA262
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords:
Depends on:
Blocks: 169951
  Show dependency treegraph
 
Reported: 2017-02-13 22:16 PST by Yusuke Suzuki
Modified: 2017-03-22 01:36 PDT (History)
8 users (show)

See Also:


Attachments
Patch (8.32 KB, patch)
2017-02-13 22:18 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (8.69 KB, patch)
2017-02-14 00:14 PST, Yusuke Suzuki
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2017-02-13 22:16:08 PST
[JSC] Update module namespace object according to the latest ECMA262
Comment 1 Yusuke Suzuki 2017-02-13 22:18:11 PST
Created attachment 301455 [details]
Patch
Comment 2 Yusuke Suzuki 2017-02-14 00:14:42 PST
Created attachment 301473 [details]
Patch
Comment 3 Saam Barati 2017-02-14 11:57:05 PST
Comment on attachment 301473 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=301473&action=review

r=me

> Source/JavaScriptCore/ChangeLog:8
> +        Reflect updates to the module namespace object.

Can you add a link to the relevant portion of the spec here
Comment 4 Yusuke Suzuki 2017-02-16 04:40:06 PST
Comment on attachment 301473 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=301473&action=review

Thanks!

>> Source/JavaScriptCore/ChangeLog:8
>> +        Reflect updates to the module namespace object.
> 
> Can you add a link to the relevant portion of the spec here

Added.
Comment 5 Yusuke Suzuki 2017-02-16 04:42:50 PST
Committed r212430: <http://trac.webkit.org/changeset/212430>